#include <stdio.h>
#include <stdlib.h>

#include "trie.h"

void print_val(char * key, void * data)
   {
   printf("%s\n", key);
   }

int main(int argc, char ** argv)
   {
   struct trie * trie = trie_new();

   char * words[] = { "hello", "interjection (used to express a greeting, answer a telephone, or attract attention.)",
		      "help", "to give or provide what is necessary to accomplish a task or satisfy a need.",
		      "helper", "a person or thing that helps  or gives assistance, support, etc",
		      "helping", "the act of a person or thing that helps.",
		      "a", "indefinite article.  Used before an initial consonant sound.",
		      "an", "indefinite article. the form of a before an initial vowel sound.",
		      "anna", "a female name",
		      "anne", "a female name",
		      "any", "one, a, an, or some; one or more without specification or identification",
		      "anyway", "in any case; anyhow; nonetheless; regardless",
		      "anyhow", "in any  way whatever",
		      "anybody", "any person",
		      "Apple", "A computer manufacturer.",
		      "ABLE", "having necessary power, skill, resources, or qualifications",
		      NULL, NULL
   };
   int i = 0;
   while (words[i])
      {
      trie_insert(trie, words[i], words[i+1]);
      i += 2;
      }

   trie_dump(trie);

   void * data = trie_find(trie, "any");
   if (NULL == data)
      printf("Failed to find 'any'\n");
   else
      printf("any: %s\n", (char *) data);

   exit(EXIT_SUCCESS);
   }
